cURL
curl --request POST \ --url https://app.lanten.co/api/open/v1/work-orders \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "title": "<string>", "description": "<string>", "priority": "0", "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "unitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "availability": "<string>" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "code": "WO-101", "title": "<string>", "description": "<string>", "status": "reported", "priority": "0", "availability": "<string>", "selfResolved": true, "resolvedAt": "2023-11-07T05:31:56Z", "intakeChannel": "email", "tenant": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "firstName": "<string>", "lastName": "<string>", "email": "jsmith@example.com" }, "unit": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "fullAddress": "<string>" }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
260
Priority level: 0 = Emergency, 1 = High, 2 = Medium (default), 3 = Low
0
1
2
3
Free-text tenant availability window.
Work order created
Show child attributes